org.apache.tamaya.inject

## Interface ConfigurationInjector

- All Known Implementing Classes:
    DefaultConfigurationInjector

      public interface ConfigurationInjector

  Accessor interface for injection of configuration and configuration templates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `configure(T instance)` Configured the current instance and reigsterd necessary listener to forward config change events as defined by the current annotations in place.
    `<T> T` | `createTemplate(Class<T> templateType)` Create a template implementting the annotated methods based on current configuration data.
    `<T> ConfiguredItemSupplier<T>` | `getConfiguredSupplier(ConfiguredItemSupplier<T> supplier)` Creates a supplier for configured instances of the given type `T`.

- - ### Method Detail

    - #### configure

          <T> T configure(T instance)

      Configured the current instance and reigsterd necessary listener to forward config change events as defined by the current annotations in place.
      Parameters:
        `instance` - the instance to be configured
      Returns:
        the configured instance (allows chaining of operations).

    - #### createTemplate

          <T> T createTemplate(Class<T> templateType)

      Create a template implementting the annotated methods based on current configuration data.
      Parameters:
        `templateType` - the type of the template to be created.

    - #### getConfiguredSupplier

          <T> ConfiguredItemSupplier<T> getConfiguredSupplier(ConfiguredItemSupplier<T> supplier)

      Creates a supplier for configured instances of the given type `T`.
      Type Parameters:
        `T` - the target type.
      Parameters:
        `supplier` - the supplier to create new instances.
      Returns:
        a supplier creating configured instances of `T`.

Copyright © 2014–2015 Apache Software Foundation. All rights reserved.